<?php 
$system_path = 'system';
$application_folder = 'application';

// Set the current directory correctly for CLI requests
if (defined('STDIN'))
{
	chdir(dirname(__FILE__));
}

if (($_temp = realpath($system_path)) !== FALSE)
{
	$system_path = $_temp.DIRECTORY_SEPARATOR;
}
else
{
	// Ensure there's a trailing slash
	$system_path = strtr(
			rtrim($system_path, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		).DIRECTORY_SEPARATOR;
}

// Is the system path correct?
if ( ! is_dir($system_path))
{
	//header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
	//echo 'Your system folder path does not appear to be set correctly. Please open the following file and correct this: '.pathinfo(__FILE__, PATHINFO_BASENAME);
	//exit(3); // EXIT_CONFIG
}

/*
* -------------------------------------------------------------------
*  Now that we know the path, set the main path constants
* -------------------------------------------------------------------
*/

// The name of THIS file
define('SELF', pathinfo(__FILE__, PATHINFO_BASENAME));

// Path to the system directory
define('BASEPATH', $system_path);

// Path to the front controller (this file) directory
define('FCPATH', dirname(__FILE__).DIRECTORY_SEPARATOR);

// Name of the "system" directory
define('SYSDIR', basename(BASEPATH));

define('EXT', '.php');

// The path to the "application" directory
if (is_dir($application_folder))
{
	if (($_temp = realpath($application_folder)) !== FALSE)
	{
		$application_folder = $_temp;
	}
	else
	{
		$application_folder = strtr(
			rtrim($application_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
	}
}
elseif (is_dir(BASEPATH.$application_folder.DIRECTORY_SEPARATOR))
{
	$application_folder = BASEPATH.strtr(
			trim($application_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
}
else
{
	//header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
	//echo 'Your application folder path does not appear to be set correctly. Please open the following file and correct this: '.SELF;
	//exit(3); // EXIT_CONFIG
}

define('APPPATH', $application_folder.DIRECTORY_SEPARATOR);

$view_folder = APPPATH.'views';

// The path to the "views" directory
if (is_dir($view_folder))
{
	if (($_temp = realpath($view_folder)) !== FALSE)
	{
		$view_folder = $_temp;
	}
	else
	{
		$view_folder = strtr(
			rtrim($view_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
	}
}
elseif (is_dir(APPPATH.$view_folder.DIRECTORY_SEPARATOR))
{
	$view_folder = APPPATH.strtr(
			trim($view_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
}
else
{
	//header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
	//echo 'Your view folder path does not appear to be set correctly. Please open the following file and correct this: '.SELF;
	//exit(3); // EXIT_CONFIG
}

define('VIEWPATH', $view_folder.DIRECTORY_SEPARATOR);
define('PUBPATH',realpath(dirname(__FILE__)));

include_once(APPPATH . 'config/debug.php');

if (defined('ENVIRONMENT') && ENVIRONMENT == 'development')
{
	error_reporting(E_ALL);
}
else
{
	error_reporting(0);
}

if ($_SERVER['HTTP_HOST'])
{
	preg_match("/^([^\.]+)./",$_SERVER['HTTP_HOST'],$args);
	if ($args[1] != 'www' && $args)
	{
		//define('CURRENT_SUBDOMAIN', $args[1]);
	}
}